# Relatica Change Log

## Version 0.2.0 (beta), 15 March 2023

* Changes
    * Uses Google's Material 3 UI instead of Material 2
    * Drawer idiom replaces the menu screen idiom. Drawer contains list of logged in accounts at the top to quickly
      switch between, followed by the menu items previously on the menu screen.
    * "Sign In Screen" now also the "Manage Accounts" screen
        * Username/password settings split the username/servername field so can use the email address as the login like
          with
          the website
        * Have sections listing logged in and logged out accounts.
        * Can permanently delete previous credentials if no longer want them.
    * Added back swiping down for refresh on timelines, notifications, and contacts. Also changed the progress indicator
      to be a linear bar at the top
    * Unread notifications counts no longer appear.
    * "New Post" button is now a floating action button at the bottom right of the timeline
* Fixes
    * Toggle like status on nested comments no longer generates an error.
* New Features
    * Support for OAuth Login as well as username/password
    * Support for multiple concurrent logins and switching between them
    * Added paging to notifications
    * Ability to list who liked or reshared a post by clicking on the respective summary.
    * Unread direct messages indicators show up in the notifications panel
    * Data Pages manager allows for re-requesting data from server based on previous calls. Currently used only for
      notifications.

## Version 0.1.0b3 (beta), 30 January 2023

* Changes
    * The timeline names have been changed to:
        * My Posts (formerly "Yours")
        * My Network (formerly "Home")
        * Global Fediverse (formerly "Global")
        * Local Fediverse (formerly "Local")
        * "Groups (Lists)" (formerly "Group")
    * Group timeline names are sorted alphabetically rather than in creation order
* Fixes
    * Older Android Releases (5.0, 6.0, 7.0) LetsEncrypt certificate issue fixed by including certificate manually
    * In Gallery mode single-clicking on the image brings up the Image View Screen
    * Icon white boundary issues on iOS and Android
    * Keyboard type on login screen for username field is now "email" type
* New Features
    * A combined network status/refresh icon on timeline, notifications, and gallery panel
    * More detailed user profile screen for users which now includes things like their description, handle and common
      name, etc.
    * Paging in gallery list to incremental load of larger galleries (also sorted newest first)
    * Image View Screen has a Carousel feature for swiping through images of a post, gallery, etc.
    * Can copy post/comment Raw HTML text, image descriptions, and Direct Message text content
        * Copy icon on posts, comments, image descriptions
        * Long-press to copy on Direct messages
    * Dialog Box "Menu" on posts/comments to more easily decide to navigate to it internally (Posts only), open in the
      system's default browser, or copy the URL

## Version 0.1.0b2 (beta), 27 January 2023

* Fixes
    * Scrollwheel zooming now works correctly on desktop
    * Fix image overflow and apparent intermittent lack of zoom responsiveness in image preview pane
    * Fix inconsistent tap behavior on notifications cards
    * Search on the contacts screen now searches handles as well as names
    * All contacts now load properly from server
* New Features
    * Initial paging infrastructure for being able to incrementally load larger sets of things (like
      comments)
    * First usage of paging system: contacts
    * A "Clear Caches" button that clears all memory and disk data. Useful if you want to do a reset
      on things like tags, contacts, posts timelines, etc.
    * Initial implementation of direct messaging including:
        * List of conversation threads
        * Reading conversation threads
        * Marking conversations read by tapping on the message
        * Respond in a conversation
        * Start a new conversation by searching for a known contact "type @ and start typing like in
          posts/comments"

## Version 0.1.0 (beta), 20 January 2023

* Initial public release, as an early beta.
* Major working features (at least in initial implementation versions):
    * Logging in with username/password. These are stored using the OS specific key vaults
    * Writing posts
        * Typing @ brings up a list of all known fediverse accounts that the app has ever seen as
          you type (but not all
          that your server has seen)
        * Typing # brings up a list of all known hashtags that the app has ever seen as you type (
          but not all that your
          server has seen)
        * Very basic markdown (wrapping in stars for bold/italics)
        * Adding new images to posts
            * Image posting with easy means of adding ALT text
        * Attaching existing images to posts
    * Resharing posts
    * Browsing timelines including from groups you've created. In this app "Home" is the same as
      the "Network" (grid)
      button in Frio and "Yours" is the equivalent of the Home button in the app.
    * Browsing notifications and marking individual ones read or all read
    * Getting gallery list and browsing galleries
    * Browsing your contacts or searching contacts that are known by your app
    * Adjudicating follow requests
    * Going to individual profiles to see their posts, follow/unfollow, add/remove from groups
    * A "low bandwidth" mode that defers loading of images until you click on them, unless the app
      already has that
      image cached locally.
    * Light/dark mode selection
    * Opening posts, comments, and profiles in the "external" browser
    * Playing videos within the app on iOS and Android.
    * Pulling down to refresh timelines, galleries, and posts but loading newer or older posts has
      specific buttons (
      this will probably change in the near future)
    * Pulling down to refresh notifications and contacts gets updates to that respective data (this
      may change in the
      near future)

## Version 0.x.0 (beta)

* Fixed image viewer quirks with text overwriting, lack of mouse scrollwheel zoom, and
  responsiveness
  quirk (https://gitlab.com/mysocialportal/relatica/-/merge_requests/10)
