import 'dart:io';

import 'package:logging/logging.dart';
import 'package:path/path.dart' as p;
import 'package:path_provider/path_provider.dart';

import '../../objectbox.g.dart';

class ObjectBoxCache {
  static final _logger = Logger('ObjectBoxCache');
  late final Store store;

  ObjectBoxCache._create(this.store);

  static Future<ObjectBoxCache> create(
      {String baseDir = 'objectboxcache', String? subDir}) async {
    final docsDir = await getApplicationSupportDirectory();

    final path = p.join(docsDir.path, baseDir, subDir);
    try {
      Directory(path).createSync(recursive: true);
    } catch (e) {
      _logger.severe('Error creating ObjectCachePathDirectory: $e');
    }
    _logger.info('ObjectBoxCache path: $path');
    final store = await openStore(
        directory: path, macosApplicationGroup: 'T69YZGT58U.relatica');
    return ObjectBoxCache._create(store);
  }
}
